Package: org.grails.plugins.codecs

## [Java] Class DefaultCodecLookup

- org.grails.plugins.codecs.DefaultCodecLookup

- All Implemented Interfaces and Traits:
    GrailsApplicationAware

      public class DefaultCodecLookup
      extends BasicCodecLookup

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected org.springframework.context.ApplicationContext` | `applicationContext` |
    `protected GrailsApplication` | `grailsApplication` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BasicCodecLookup` | `NONE_ENCODER, decoders, encoders`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCodec(GrailsCodecClass grailsClass)`
    `` | `protected void` | `registerCodecs()`
    `` | `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BasicCodecLookup` | `afterPropertiesSet, createChainedCodecInstance, createCodec, createNameVariations, lookupCodec, lookupDecoder, lookupEncoder, putChainedCodecInstance, reInitialize, registerCodecFactory, registerCodecs, registerDecoder, registerEncoder, registerVariationsOfName, registerWithNameVaritions`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected org.springframework.context.ApplicationContext applicationContext

    - #### protected GrailsApplication grailsApplication

  - ### Method Detail

    - #### public void registerCodec(GrailsCodecClass grailsClass)

    - #### protected void registerCodecs()

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)